[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLTransaction.Database

Database for which this component is handling connections

## Declaration

Source position: sqldb.pp line 351

`published property TSQLTransaction.Database : TDataBase;`

## Description

Database should be set to the particular TSQLConnection instance this transaction is handling transactions in. All datasets connected to this transaction component must have the same value for their Database property.

## See also

TSQLQuery.Database |  | The TSQLConnection instance on which to execute SQL Statements
TSQLConnection |  | An abstract class representing a connection to a SQL Database